# Uses of Interface
org.springframework.beans.factory.support.BeanNameGenerator

Packages that use BeanNameGenerator
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of BeanNameGenerator in org.springframework.beans.factory.support

Classes in org.springframework.beans.factory.support that implement BeanNameGenerator
Modifier and Type
Class
Description
`class`
`DefaultBeanNameGenerator`
Default implementation of the `BeanNameGenerator` interface, delegating to `BeanDefinitionReaderUtils.generateBeanName(BeanDefinition, BeanDefinitionRegistry)`.
Methods in org.springframework.beans.factory.support that return BeanNameGenerator
Modifier and Type
Method
Description
`BeanNameGenerator`
AbstractBeanDefinitionReader.`getBeanNameGenerator()`
`BeanNameGenerator`
BeanDefinitionReader.`getBeanNameGenerator()`
Return the `BeanNameGenerator` to use for anonymous beans (without explicit bean name specified).
Methods in org.springframework.beans.factory.support with parameters of type BeanNameGenerator
Modifier and Type
Method
Description
`void`
AbstractBeanDefinitionReader.`setBeanNameGenerator(BeanNameGenerator beanNameGenerator)`
Set the BeanNameGenerator to use for anonymous beans (without explicit bean name specified).